# GetMandates

List country mandates that are supported by the Avalara E-Invoicing platform

`GET /mandates`

**API:** Avalara E-Invoicing API
**Tag:** Mandates
**API Version:** 1.6
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.6/methods/Mandates/GetMandates/

## Description

This endpoint offers a list of country mandates supported by the Avalara E-Invoicing API.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | Header that specifies the API version to use (for example "1.6"). |
| `X-Avalara-Client` | string | header | No | Optional header for a client identifier string used for diagnostics (for example "Fingerprint"). |
| `$filter` | string | query | No | Filter by field name and value. This filter only supports eq and contains. Refer to [https://developer.avalara.com/avatax/filtering-in-rest/](https://developer.avalara.com/avatax/filtering-in-rest/) for more information on filtering. |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `$count` | string | query | No | When set to true, the count of the collection is also returned in the response body. |
| `$countOnly` | string | query | No | When set to true, only the count of the collection is returned. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns a MandatesResponse object containing the supported country mandates. | `MandatesResponse` |
| 401 | Unauthorized. |  |
| 403 | Forbidden. | `ForbiddenError` |
| 404 | Resource not found | `NotFoundError` |
| 500 | Internal server error. | `InternalServerError` |

### 200 Response: `MandatesResponse`

Mandate list response schema

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | number | No | Total count of results Example: `1`. |
| `@nextLink` | string | No |  |
| `value` | Mandate[] | No | Mandates schema |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/einvoicing/mandates" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```